# Uses of Class
org.jboss.modules.ModuleClassLoader

Packages that use ModuleClassLoader
Package
Description
org.jboss.modules
The primary JBoss Modules API.
org.jboss.modules.security

## Uses of ModuleClassLoader in org.jboss.modules

Methods in org.jboss.modules that return ModuleClassLoader
Modifier and Type
Method
Description
`ModuleClassLoader`
ModuleClassLoaderFactory.`create(ModuleClassLoader.Configuration configuration)`
Create the module class loader.
`ModuleClassLoader`
Module.`getClassLoader()`
Get the class loader for a module.

## Uses of ModuleClassLoader in org.jboss.modules.security

Constructors in org.jboss.modules.security with parameters of type ModuleClassLoader
Modifier
Constructor
Description
``
`ModularProtectionDomain(CodeSource codeSource, PermissionCollection permissions, ModuleClassLoader moduleClassLoader)`
Construct a new, static instance.
``
`ModularProtectionDomain(CodeSource codeSource, PermissionCollection permissions, ModuleClassLoader moduleClassLoader, boolean dynamic)`
Construct a new instance.